summaryrefslogtreecommitdiffstats
path: root/regressions/test-qemudie-midcommand.sh
diff options
context:
space:
mode:
authorRichard Jones <rjones@trick.home.annexia.org>2009-07-06 13:10:25 +0100
committerRichard Jones <rjones@trick.home.annexia.org>2009-07-06 13:10:25 +0100
commit51ecd63944bb1374ebad518d814deaa2096bc365 (patch)
tree7ef6b1daea5d66f3516a4ef47416d638a2f4adec /regressions/test-qemudie-midcommand.sh
parentf1fadb92179b68519b57680718e30a389a63d5e5 (diff)
downloadlibguestfs-51ecd63944bb1374ebad518d814deaa2096bc365.tar.gz
libguestfs-51ecd63944bb1374ebad518d814deaa2096bc365.tar.xz
libguestfs-51ecd63944bb1374ebad518d814deaa2096bc365.zip
Introduce regression tests for various qemu failures.
Test failure of qemu and recovery of the library: - mid-command - between commands - during launch [test not working yet] - explicitly killed by guestfs_kill_subprocess Also this patch cleans up the other tests in this directory and disables the long-winded test-bootbootboot test.
Diffstat (limited to 'regressions/test-qemudie-midcommand.sh')
-rwxr-xr-xregressions/test-qemudie-midcommand.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/regressions/test-qemudie-midcommand.sh b/regressions/test-qemudie-midcommand.sh
new file mode 100755
index 00000000..2aca9225
--- /dev/null
+++ b/regressions/test-qemudie-midcommand.sh
@@ -0,0 +1,41 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Test if we can handle qemu death in the middle of a command.
+
+set -e
+
+rm -f test.pid test.img
+
+../fish/guestfish <<'EOF'
+alloc test.img 10M
+run
+
+# Kill the subprocess after a short wait.
+pid | cat > test.pid
+! sleep 2 ; kill $(cat test.pid) &
+
+echo "Expect: 'guestfs_sleep reply failed, see earlier error messages'"
+-sleep 1000
+
+# We should now be able to rerun the subprocess.
+run
+ping-daemon
+EOF
+
+rm -f test.pid test.img